Whats91
Developers

Send Meta-compatible image, video, audio, document, and sticker message payloads.

Meta-Compatible Media

Summary

Send Meta-compatible image, video, audio, document, and sticker message payloads.

Prerequisites

  • A Whats91 account
  • A generated public API token

For Meta-compatible media sends, set type to image, video, audio, document, or sticker and include the matching object. Media objects use link or id. Documents can also include filename and caption.

Message typeRequired objectCommon fields
imageimagelink or id, caption
videovideolink or id, caption
audioaudiolink or id
documentdocumentlink or id, filename, caption
stickerstickerlink or id
curl - document
curl -X POST "https://graph.whats91.com/api/v2/messages" \
  -H "Authorization: Bearer w91_live_xxx" \
  -H "Content-Type: application/json" \
  -d '{
    "senderId": "919999999999",
    "messaging_product": "whatsapp",
    "to": "918888888888",
    "type": "document",
    "document": {
      "link": "https://example.com/invoice.pdf",
      "filename": "invoice.pdf",
      "caption": "Invoice INV-1001"
    }
  }'

Related Documentation